<?php

namespace App\Filament\Resources\ShippingRates\Pages;

use App\Filament\Resources\ShippingRates\ShippingRateResource;
use Filament\Actions\Action; 
use Filament\Resources\Pages\CreateRecord;

class CreateShippingRate extends CreateRecord
{
    protected static string $resource = ShippingRateResource::class;

    // 1. TOMBOL SIMPAN (CREATE)
    // protected function getCreateFormAction(): Action
    // {
    //     return Action::make('simpan') 
    //         ->label('Simpan Tarif')
    //         ->action(fn () => $this->create()) 
    //         ->requiresConfirmation()
    //         ->modalIcon('heroicon-o-currency-dollar') // Ikon Dolar biar relevan
    //         ->modalHeading('Simpan Harga?')
    //         ->modalDescription('Pastikan Nominal Harga dan Wilayah sudah benar.')
    //         ->modalSubmitActionLabel('Ya, Simpan')
    //         ->keyBindings(['mod+s']);
    // }

    // 2. TOMBOL SIMPAN & BUAT LAGI
    // protected function getCreateAnotherFormAction(): Action
    // {
    //     return Action::make('simpanLagi') 
    //         ->label('Simpan & Buat Lagi')
    //         ->action(fn () => $this->createAnother()) 
    //         ->color('gray')
    //         ->requiresConfirmation()
    //         ->modalIcon('heroicon-o-plus-circle')
    //         ->modalHeading('Simpan & Buat Lagi?')
    //         ->modalSubmitActionLabel('Ya, Lanjut');
    // }


     protected function getCreateFormAction(): Action
    {
     
        return parent::getCreateFormAction() 
            ->label('Simpan') 
            ->submit('create') 
            ->keyBindings(['mod+s']); 
    }


    protected function getCreateAnotherFormAction(): Action
    {
        return parent::getCreateAnotherFormAction() 
            ->label('Simpan & Buat Lagi');
    }
    // 3. REDIRECT KE LIST
    protected function getRedirectUrl(): string
    {
        return $this->getResource()::getUrl('index');
    }
}